SDL_GetMasksForPixelFormat(3)

NAME
SDL_GetMasksForPixelFormat - Convert one of the enumerated pixel formats to a bpp value and RGBA masks.

SYNOPSIS
#include <SDL3/SDL_pixels.h>

bool SDL_GetMasksForPixelFormat(SDL_PixelFormat format, int *bpp, Uint32 *Rmask, Uint32 *Gmask, Uint32 *Bmask, Uint32 *Amask);

FUNCTION PARAMETERS

format
    one of the SDL_PixelFormat values.

bpp a bits per pixel value; usually 15, 16, or 32.

Rmask
    a pointer filled in with the red mask for the format.

Gmask
    a pointer filled in with the green mask for the format.

Bmask
    a pointer filled in with the blue mask for the format.

Amask
    a pointer filled in with the alpha mask for the format.

RETURN VALUE
for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
SDL_GetPixelFormatForMasks(3)